<?xml version="1.0" encoding="ISO-8859-1"?> <!-- Emacs Mode: -*- nxml -*- -->
<xsl:stylesheet version="1.0" 
 xmlns:xsl="http://www.w3.org/1999/XSL/Transform" >

<xsl:output method="html" indent="no" encoding="iso-8859-1"/>

<xsl:include href="programa.xsl" />
<xsl:include href="enlaces.xsl" />
<xsl:include href="lugares.xsl" />

<xsl:template match="curso"> 
  <html>
    <head>
	<title>Curso <xsl:value-of select="@titulo"/></title>
	<link rel="stylesheet" href="cursos.css" />
    </head>

  <body>
   <div class="header">
   <p><a href="#datos">Datos</a> |
      <a href="#programa">Programa</a> |
      <a href="#alumnos">Alumnos</a> |
      <a href="#evaluacion">Evaluacion</a> |  
      <a href="#enlaces">Enlaces</a></p>
   </div> 

   <table class="header">
   <tr><td><img width="120" height="120" src="images/logo-xml.gif" /></td>
       <td><h1 class="header"><xsl:value-of select="@titulo"/></h1></td>
   </tr>
   </table>
   <h2><a name="datos">Datos del curso</a></h2>
    <ul>
     <li><span class="item">Direccin</span>: <xsl:apply-templates select="direccion"/></li> 
     <li><span class="item">Fechas</span>: <xsl:apply-templates select="fechas"/></li>
     <li><span class="item">Lugar</span>: <xsl:apply-templates select="reflugar"/></li>
     </ul>

   <h2><a name="programa">Programa</a></h2>
  <p>El programa tambin puede obtenerse en 
          <a href="curso.pdf">formato PDF</a> y 
             formato <a href="curso.ps">Postscript</a>.</p>

   <xsl:apply-templates select="programa"/>

   <h2><a name="alumnos">Alumnos</a></h2>

   <p>Puede consultarse informacin personalizada en la
   <a href="http://petra.euitio.uniovi.es/cgi-bin/plf/ext05.cgi">
   Siguiente direccin
   </a></p>

   <h2><a name="evaluacion">Evaluacin</a></h2>
  <p>La evaluacin consistir en la entrega de un trabajo final terico-prctico. 
   El trabajo se entregar en el despacho 41 del edificio Facultad de 
   Ciencias, C/Calvo Sotelo S/N, 
   Oviedo, a nombre del profesor Jose Emilio Labra Gayo antes 
   del 20 de Abril del 2005 (incluido)
  </p>
  <p>El trabajo se realizar sobre alguna de las tecnologas tratadas en el curso.
  Puede considerarse la realizacin de un trabajo en detalle sobre una tecnologa concreta o
 la comparacin de varias tecnologas. Se valorar la concisin. </p>
 <p>El formato ser un mximo de 5 hojas DIN-A4, aunque se permitir la inclusin
 de anexos con cdigo fuente o material complementario.</p>
 <p>Se acompaar con la realizacin de una pgina Web en la que se incluir
 otra informacin relevante: cdigo fuente, ejemplos, enlaces, etc.
 El enlace a dicha pgina Web debe incluirse en el trabajo.
</p>
	 

   <h2><a name="enlaces">Enlaces</a></h2>
   <xsl:apply-templates select="enlaces" />
  <address> 
  Autor: 
   <a href="http://www.di.uniovi.es/~labra">Jose Emilio Labra Gayo</a> <br/>
    ltima Actualizacin: 
     <tt> $Date$ </tt>
</address>		

  </body>
 </html>
</xsl:template> 

<xsl:template match="direccion">
  <xsl:variable name="vref" select="@ref"/>
  <xsl:apply-templates select="document('profes.xml')//profesor[@id=$vref]"/>
</xsl:template>

<xsl:template match="p">
<p><xsl:apply-templates/></p>
</xsl:template>

<xsl:template match="ul">
<ul><xsl:apply-templates/></ul>
</xsl:template>

<xsl:template match="li">
<li><xsl:apply-templates/></li>
</xsl:template>

<xsl:template match="reflugar">
  <xsl:variable name="lref" select="@ref"/>
  <xsl:apply-templates select="document('lugares.xml')//lugar[@id=$lref]"/>
</xsl:template>

</xsl:stylesheet>




