<?xml version="1.0" encoding="ISO-8859-1"?> <!-- Emacs Mode: -*- nxml -*- -->
<xsl:stylesheet version="1.0" 
 xmlns:xsl="http://www.w3.org/1999/XSL/Transform" >

<xsl:output method="html" indent="no" encoding="iso-8859-1"/>

<xsl:include href="programa.xsl" />
<xsl:include href="enlaces.xsl" />
<xsl:include href="lugares.xsl" />

<xsl:template match="curso"> 
  <html>
    <head>
	<title>Curso <xsl:value-of select="@titulo"/></title>
	<link rel="stylesheet" href="cursos.css" />
    </head>

  <body>
   <div class="header">
   <p><a href="#datos">Datos</a> |
      <a href="#programa">Programa</a> |
      <a href="#alumnos">Alumnos</a> |
      <a href="#evaluacion">Evaluacion</a> |  
      <a href="#enlaces">Enlaces</a></p>
   </div> 

   <table class="header">
   <tr><td><img width="120" height="120" src="images/logo-xml.gif" /></td>
       <td><h1 class="header"><xsl:value-of select="@titulo"/></h1></td>
   </tr>
   </table>
   <h2><a name="datos">Datos del curso</a></h2>
    <ul>
     <li><span class="item">Direccin</span>: <xsl:apply-templates select="direccion"/></li> 
     <li><span class="item">Fechas</span>: <xsl:apply-templates select="fechas"/></li>
     <li><span class="item">Lugar</span>: <xsl:apply-templates select="reflugar"/></li>
     </ul>


  <h2><a name="programa">Programa</a></h2>
  <p>El programa tambin puede obtenerse en 
          <a href="curso.pdf">formato PDF</a> y 
             formato <a href="curso.ps">Postscript</a>.</p>

   <xsl:apply-templates select="programa"/>

   <h2><a name="alumnos">Alumnos</a></h2>

   <p>Puede consultarse informacin personalizada en la
   <a href="http://petra.euitio.uniovi.es/cgi-bin/plf/ext07.cgi">
   Siguiente direccin
   </a></p>

  <h2><a name="evaluacion">Evaluacin</a></h2>
 
 <p>La evaluacin del curso consistir en la realizacin de un
 trabajo terico de no ms de 5 hojas sobre
 alguna de las tecnologas relacionadas con el curso que se 
 acompaar de un trabajo prctico en el que se realice alguna
 aplicacin de las tecnologas presentadas en el curso.
</p>

<p>Cada alumno realizar una pgina Web en la que incluir 
 el trabajo en formato PDF y otra informacin que considere de inters. 
 Por ejemplo, cdigo fuente con ejemplos, demostraciones, pruebas, 
 pginas interesantes, etc. </p>  

<p>La evaluacin del trabajo se realizar teniendo en cuenta 
  los siguientes criterios:</p>
  <ul>
    <li><b>Originalidad</b>. El trabajo debe ser escrito por el autor. Se 
     rechazarn trabajos plagiados o que consistan simplemente 
     en traducciones de artculos de otros idiomas. Se admitirn 
     trabajos que incluyan porciones de otros trabajos siempre que
     se cite a los autores originales.
    </li>

    <li><b>Asimilacin</b>. Se valorar que el trabajo sea personal y que
    el alumno demuestre que ha asimilado la materia de la que est hablando.
    </li>

    <li><b>Sntesis</b>. Se tendr en cuenta la capacidad de sntesis de 
    los alumnos. </li>

    <li><b>Presentacin</b>. Se valorar la capacidad de expresin
    en lenguaje cientfico y la inclusin de biliografa. Lo ideal
    es que se realice un trabajo como si se fuese a publicar 
    en un congreso cientfico.</li>

  </ul>

<p>Los trabajos pueden ser de dos tipos:</p>
<ul>
<li>Profundizacin. El trabajo profundiza en una determinada tecnologa.</li>
<li>Comparacin. El trabajo consiste en una comparativa entre 
  varias tecnologas</li>
</ul>

<p>El plazo de presentacin es 11 de Mayo de 2007. Si el alumno 
 encuentra algn problema para crear la pgina Web, tambin se puede
 enviar al correo elecrnico: cursoslabra (arroba) yahoo (punto) es </p> 

   
<h2><a name="enlaces">Enlaces</a></h2>
   <xsl:apply-templates select="enlaces" />
  <address> 
  Autor: 
   <a href="http://www.di.uniovi.es/~labra">Jose Emilio Labra Gayo</a> <br/>
    ltima Actualizacin: 
     <tt> $Date$ </tt>
</address>		

  </body>
 </html>
</xsl:template> 

<xsl:template match="direccion">
  <xsl:variable name="vref" select="@ref"/>
  <xsl:apply-templates select="document('profes.xml')//profesor[@id=$vref]"/>
</xsl:template>

<xsl:template match="p">
<p><xsl:apply-templates/></p>
</xsl:template>

<xsl:template match="ul">
<ul><xsl:apply-templates/></ul>
</xsl:template>

<xsl:template match="li">
<li><xsl:apply-templates/></li>
</xsl:template>

<xsl:template match="reflugar">
  <xsl:variable name="lref" select="@ref"/>
  <xsl:apply-templates select="document('lugares.xml')//lugar[@id=$lref]"/>
</xsl:template>

</xsl:stylesheet>




